package me.totalfreedom.totalfreedommod.bridge;

import me.totalfreedom.totalfreedommod.FreedomService;
import me.totalfreedom.totalfreedommod.util.FLog;
import net.essentialsx.discord.EssentialsDiscord;
import org.bukkit.plugin.Plugin;

public class EXDiscordBridge extends FreedomService
{
    private EssentialsDiscord essentialsDiscord = null;

    @Override
    public void onStart()
    {
        // This is completely useless, but it's here to make sure the service is loaded.
    }

    @Override
    public void onStop()
    {
        essentialsDiscord = null;
    }

    public EssentialsDiscord getEssentialsDiscord()
    {
        if (essentialsDiscord == null)
        {
            try
            {
                final Plugin xDiscord = server.getPluginManager().getPlugin("EssentialsXDiscord");
                assert xDiscord != null;
                if (xDiscord instanceof EssentialsDiscord e)
                {
                    essentialsDiscord = e;
                }
            }
            catch (Exception ex)
            {
                FLog.severe(ex);
            }
        }
        return essentialsDiscord;
    }
}
